Syncan

Members
  • Content count

    3
  • Joined

  • Last visited

Community Reputation

105 Neutral

About Syncan

  • Rank
    Newbie
  1. I will take the time to read me into SlimDX. It is difficult for me as I was just learning Direct X from that book I mentioned in the first post ( "Learn VB .NET through Game Programming" from Matt Tagliaferri ). Maybe I should first learn everything from that book to get used to the concept of working with game-developing. By the time I learned all of this, the retail-version of Windows 8 is about to get released. Until then I will use Windows XP with the older .NET versions. I think after that I will understand more of DirectX, and then the transition to SlimDX is probably better to understand for me. Not sure if this is really the right way to go but I do not see another way.
  2. Thanks for both of your replies. So if I summarize the answers it means that the only way to go is to use SlimDX. I have never worked with SlimDX. I understand it is an open-source version of the DirecX libraries, made by other people than Microsoft, right? Does that mean that the programs I mentioned in my first post could run well by just adding the SlimDX libraries, or does it use a different syntax?
  3. Since a month I am learning to write games, using the book "Learn VB .NET through Game Programming" from Matt Tagliaferri. The examples also include working with DirectX and those work fine in Windows XP. I have the try-out version of Windows 8, and I installed Visual Basic 2010 Express, with the intention to see if I can run the same examples from Windows XP. Sofar it is not working, simply because I cannot get the older .NET-versions installed which the book uses. I need the .NET versions 3.0 and 3.5 but Windows 8 simply refuses to install it. When I try to run the DirectX - examples on .NET 4.0 I get the following error: [quote]A first chance exception of type 'Microsoft.DirectX.DirectDraw.UnsupportedException' occured in Microsoft.DirectX.DirectDraw.dll[/quote] ... which says me you really need the older .NET version as some functions are not supported anymore with .NET 4.0 The error was on the following line: [quote]Fdraw.SetDisplayMode ( WID, HGT, 16. 0, False )[/quote] Can somebody help me out? Thank you.[img]http://public.gamedev.net//public/style_emoticons/default/smile.png[/img]